Bug 444344 - k3b problem verifying burned CD iso image
k3b problem verifying burned CD iso image
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On: 440343
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 10:37 EDT by Tom Horsley
Modified: 2009-06-30 17:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0.5-9.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
k3b log output of a writing operation, no serious error reported. (47.24 KB, text/plain)
2009-01-02 09:38 EST, David Tonhofer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 157186 None None None Never

  None (edit)
Description Tom Horsley 2008-04-27 10:37:37 EDT
Description of problem:

k3b seems unable to properly verify a written iso image.

Version-Release number of selected component (if applicable):
k3b-1.0.4-5.fc8.x86_64
wodim-1.1.6-6.fc8.x86_64
kernel-2.6.24.4-64.fc8.x86_64

How reproducible:

Both of the two attempts I made failed verify the same way.

Steps to Reproduce:
1. Download the ubuntu 8.04 i386 alternate text installer iso file
   (ubuntu-8.04-alternate-i386.iso).
2. In k3b tools menu pick burn CD image.
3. In write dialog pick verify written data.
4. Tell it to start.
  
Actual results:

The write is successful, but k3b claims the written image doesn't match.
However, if I mount the resulting CD, and check the md5 sums of all the
individual files (a task made easy by the md5sums.txt file included on the
CD image), everything verifies OK.

Expected results:

Since the image really is correct, I'd expect the verify to work.

Additional info:

This is a Biostar TForce4U motherboard with nvidia chipset and SATA
DVD-RW drive (TSSTCorp CDDVDW SH-S203N).

In the past I have noticed verify failures when the ISO image wasn't
padded out with zeroes to fill the space the header implies is used
(by multiplying the sector size and number of blocks isoinfo -d shows),
but in this case the ISO image is in fact the same number of bytes
the header says it should be, so something else is going wrong here.
Comment 1 Tom Horsley 2008-04-27 16:10:36 EDT
Perhaps this is the same as bug 397141
Comment 2 Andre Robatino 2008-04-27 16:23:18 EDT
This is probably a duplicate of assigned k3b bug #440343.  I wish it was a
duplicate of my bug #397141, since I haven't been able to find anyone else to
confirm it (except my father, who has the same model DVD drive), which means
nobody is working on it and it probably won't get fixed.  To check, try reading
the ISO directly off the disc using the rawread script at

http://www.troubleshooters.com/linux/coasterless.htm

and compare that to the original ISO file.  If the readahead bug is the problem,
the read would fail about 100K or less from the end.

Personally, I always use command-line tools such as growisofs and wodim to burn
and verify, since GUI tools like k3b are just front ends to them and there are
fewer things to go wrong (and if they do, it's easier to see where the problem is).
Comment 3 Tom Horsley 2008-04-27 16:57:25 EDT
Yep, you are right, looks the same a bug 440343 since the rawread
script does indeed produce a perfect match for the original iso.
Comment 4 Rex Dieter 2008-04-27 17:13:18 EDT
I'll simply mark this as blocking on bug #440343, so folks have a better chance
seeing dups and/or that it's already reported.
Comment 5 Steven M. Parrish 2008-06-23 15:33:29 EDT

*** This bug has been marked as a duplicate of 440343 ***
Comment 6 Michael Schwendt 2008-06-24 17:59:46 EDT
k3b 1.0.5 changelog says:

 * Always wait for the drive to become ready before starting verification.

Is that related?
Comment 7 Rex Dieter 2008-06-25 15:13:36 EDT
very possible, I'm spinning some F-8, F-9 builds so people can test:

F-8: http://koji.fedoraproject.org/koji/buildinfo?buildID=53847
F-9: http://koji.fedoraproject.org/koji/buildinfo?buildID=53848

feedback appreciated.
Comment 8 Rex Dieter 2008-06-30 10:19:57 EDT
OK, looks like these 1.05 builds are incrementally better, and helps some at
least some folks, so I'll whip up an update request.
Comment 9 Fedora Update System 2008-06-30 14:41:22 EDT
k3b-1.0.5-3.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-06-30 14:41:54 EDT
k3b-1.0.5-3.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-07-01 01:27:47 EDT
k3b-1.0.5-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update k3b'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5888
Comment 12 Fedora Update System 2008-07-08 22:43:59 EDT
k3b-1.0.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-07-08 22:48:38 EDT
k3b-1.0.5-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Rex Dieter 2008-07-09 08:47:14 EDT
We'll keep this open since the update only helps some, but not all, folks.
Comment 15 Bug Zapper 2008-11-26 05:35:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Rex Dieter 2008-11-26 08:43:58 EST
Reassigning -> rawhide (k3b is still the same version).
Comment 17 David Tonhofer 2009-01-02 09:37:10 EST
A problem that fits this description shows up on Fedora 10. I am unable to write and verify a "Fedora 10 ISO" on Fedora 10 with k3b. On the same machine, a write 
and verify worked fine on Fedora 8.

I also found this: 

https://bugs.launchpad.net/ubuntu/+source/k3b/+bug/149076

which seems to indicate that the problem is not in k3b but "in the backends" (the SCSI emulation?). The k3b error log indeed says "/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/sr0'" at the beginning, though that may be normal. Changing the write speed does not help.

KDE Version: 3.5.10-3.fc10 Fedora
QT Version:  3.3.8b
Kernel:      2.6.27.9-159.fc10.i686
K3b:         k3b-1.0.5-6.fc10.i386
Comment 18 David Tonhofer 2009-01-02 09:38:19 EST
Created attachment 328066 [details]
k3b log output of a writing operation, no serious error reported.
Comment 19 David Tonhofer 2009-01-02 09:57:13 EST
Also see these bugs:

bug#447452
bug#448291
bug#440343
Comment 20 Bug Zapper 2009-06-09 05:33:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Fedora Update System 2009-06-15 15:47:59 EDT
k3b-1.0.5-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/k3b-1.0.5-9.fc11
Comment 22 Fedora Update System 2009-06-15 15:48:45 EDT
k3b-1.0.5-9.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/k3b-1.0.5-9.fc9
Comment 23 Fedora Update System 2009-06-15 15:48:49 EDT
k3b-1.0.5-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/k3b-1.0.5-9.fc10
Comment 24 Fedora Update System 2009-06-18 07:40:15 EDT
k3b-1.0.5-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update k3b'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-6524
Comment 25 Fedora Update System 2009-06-30 17:21:20 EDT
k3b-1.0.5-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2009-06-30 17:39:12 EDT
k3b-1.0.5-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2009-06-30 17:39:39 EDT
k3b-1.0.5-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.